common:
  api_name: iam
  api_version: v1
  organization_name: google
  gapic_yaml: v1/iam_gapic.yaml
  src_proto_paths:
  - v1
  proto_deps:
  - name: google-common-protos
artifacts:
- name: java_proto
  type: PROTOBUF
  language: JAVA
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - name: proto
      dest: generated/java/proto-google-iam-v1
- name: java_grpc
  type: GRPC
  language: JAVA
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - name: grpc
      dest: generated/java/grpc-google-iam-v1
- name: php_grpc
  type: GRPC
  language: PHP
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - name: grpc
      dest: generated/php/google-iam-v1
